Report: Add rls data
[csit.git] / resources / libraries / bash / function / ansible.sh
index f522faa..64508bd 100644 (file)
@@ -22,10 +22,20 @@ function ansible_adhoc () {
     #
     # Variable read:
     # - ${WORKING_TOPOLOGY} - Reserved working topology.
-    # - ${TOOLS_DIR} - CSIT tools directory, where testbed-setup is located.
+    # - ${CSIT_DIR} - CSIT main directory, where ansible playbooks are located.
+    # - ${FLAVOR} - Node flavor string, see common.sh
 
     set -exuo pipefail
 
+    case "$FLAVOR" in
+        "aws")
+            INVENTORY_PATH="cloud_inventory"
+            ;;
+        *)
+            INVENTORY_PATH="lf_inventory"
+            ;;
+    esac
+
     if ! installed sshpass; then
         die "Please install sshpass!"
     fi
@@ -33,14 +43,14 @@ function ansible_adhoc () {
     hosts=($(fgrep host "${WORKING_TOPOLOGY}" | cut -d ":" -f 2)) || {
         die "Failed to read hosts from working topology!"
     }
-    pushd "${TOOLS_DIR}"/testbed-setup/ansible || die "Pushd failed!"
+    pushd "${CSIT_DIR}"/fdio.infra.ansible || die "Pushd failed!"
     export ANSIBLE_HOST_KEY_CHECKING=False
     export ANSIBLE_STDOUT_CALLBACK=yaml
     export ANSIBLE_PIPELINING=true
     ansible-playbook \
         --vault-password-file=vault_pass \
         --extra-vars '@vault.yml' \
-        --inventory inventories/lf_inventory/hosts site.yaml \
+        --inventory inventories/$INVENTORY_PATH/hosts site.yaml \
         --limit "$(echo ${hosts[@]//\"})" \
         --module-name shell \
         --args \"$(echo $@)\" || die "Failed to run ansible on host!"
@@ -54,10 +64,20 @@ function ansible_playbook () {
     #
     # Variable read:
     # - ${WORKING_TOPOLOGY} - Reserved working topology.
-    # - ${TOOLS_DIR} - CSIT tools directory, where testbed-setup is located.
+    # - ${CSIT_DIR} - CSIT main directory, where ansible playbooks are located.
+    # - ${FLAVOR} - Node flavor string, see common.sh
 
     set -exuo pipefail
 
+    case "$FLAVOR" in
+        "aws")
+            INVENTORY_PATH="cloud_inventory"
+            ;;
+        *)
+            INVENTORY_PATH="lf_inventory"
+            ;;
+    esac
+
     if ! installed sshpass; then
         die "Please install sshpass!"
     fi
@@ -65,14 +85,14 @@ function ansible_playbook () {
     hosts=($(fgrep host "${WORKING_TOPOLOGY}" | cut -d ":" -f 2)) || {
         die "Failed to read hosts from working topology!"
     }
-    pushd "${TOOLS_DIR}"/testbed-setup/ansible || die "Pushd failed!"
+    pushd "${CSIT_DIR}"/fdio.infra.ansible || die "Pushd failed!"
     export ANSIBLE_HOST_KEY_CHECKING=False
     export ANSIBLE_STDOUT_CALLBACK=yaml
     export ANSIBLE_PIPELINING=true
     ansible-playbook \
         --vault-password-file=vault_pass \
         --extra-vars '@vault.yml' \
-        --inventory inventories/lf_inventory/hosts site.yaml \
+        --inventory inventories/$INVENTORY_PATH/hosts site.yaml \
         --limit "$(echo ${hosts[@]//\"})" \
         --tags "$(echo $@)" || die "Failed to run ansible on host!"
     popd || die "Popd failed!"